View Issue Details

IDProjectCategoryView StatusLast Update
0002327PluginsFTP (old)public2013-04-23 22:49
ReporterVladVAssigned To2useven10 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002327: Impossible to download any file from OpenVMS FTP Server
DescriptionHello !

When I try to download any file from OpenVMS corporate FTP server I get error message:
501-Failed to parse specification

As my collegue told me, FAR sends a wrong commang because of "/" symbol.

The wrong command line (exemple):
RETR DISK$USER:[USERS.AVT_APV.PSF_DEV.AVT]/avt_capt_manuel.mdf

The fixed command line:
RETR DISK$USER:[USERS.AVT_APV.PSF_DEV.AVT]avt_capt_manuel.mdf
Steps To ReproduceTo create FTP connection to OpenVMS FTP server, to connect and to try download any file. I have the same trouble in Windows 7.

I've tried to change a lot of options (passive, ascii, server type) but it didn't work. :(
Additional Information═══════════════════ FTP "qwertyx:*@12.123.12.123" ═══════════════════
-> TYPE A
<- 200 TYPE set to ASCII.
-> PASV
<- 227 Entering Passive Mode (172,25,67,131,201,152)
-> RETR DISK$USER:[USERS.QWERTYX.PSF_DEV.AVT]/avt_capt_manuel.mdf
<- 501-Failed to parse specification DISK$USER:[USERS.QWERTYX.PSF_DE
<- 501 file specification syntax error
─────────────────────────────────────────────────────────────────────
19:29:52 "Cannot download file"
"avt_capt_manuel.mdf" (R)etry in 2 sec {Enter - retry; ESC - cancel}
═════════════════════════════════════════════════════════════════════
TagsNo tags attached.

Activities

VladV

2013-03-06 00:27

reporter   bugnote:0010460

The file uploading doesn't work too. :(

2useven10

2013-03-06 10:08

developer   bugnote:0010462

Ftp is not supported anymore.
Try to use Netbox (that is Ftp replacement in the latest far versions).

VladV

2013-03-07 00:28

reporter   bugnote:0010479

With Netbox even the getting filelist doesn't work.
And there is no any setting for server type.
That is, Netbox don't support OpenVMS FTP servers. :(

And the FTP plugin does it but there is a bug to fix.

michael.lukashov

2013-03-16 11:43

developer   bugnote:0010525

Last edited: 2013-03-16 11:44

View 2 revisions

The only one public VMS FTP server I found is manson.vistech.net
and NetBox is working with it.
The type of FTP server is VMS MultiNet V5.0(91)

2useven10

2013-03-16 12:47

developer   bugnote:0010526

Last edited: 2013-03-16 12:50

View 2 revisions

doesn't work...

  ╔═══════ anonymous@manson.vistech.net ═══════╗
 ╔════════════════════ Error ═════════════════════╗
 ║ Error listing directory 'DISK$FTP:[FTP]'. ║
 ╟────────────────────────────────────────────────╢
 ║ Could not retrieve directory listing ║
 ║ %%RMS-F-SYN, file specification syntax error: ║
 ║ /DISK$FTP:[FTP]/DISK$FTP:[FTP]/ ║
 ╟────────────────────────────────────────────────╢
 ║ Ok ║
 ╚════════════════════════════════════════════════╝
far 3.0.3250
what is your working settings ?

michael.lukashov

2013-03-16 13:02

developer   bugnote:0010527

Last edited: 2013-03-16 13:04

View 2 revisions

[x] Passive mode

Hmm. Works in Far2 but doesn't work in Far3. Will investigate.

VladV

2013-03-16 13:50

reporter   bugnote:0010528

And here is my log (Debug 2) from NetBox. FAR 3.0.3250 x86.
Openly, I don't like the doubles as /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/. May be it makes the trouble?

. 2013-03-16 13:22:55.264 --------------------------------------------------------------------------
. 2013-03-16 13:22:55.264 NetBox Version 2.1.27 (Build 224) (OS 5.1.2600 Service Pack 3)
. 2013-03-16 13:22:55.264 Configuration: NetBox 3\
. 2013-03-16 13:22:55.274 Working directory: C:\TEMP
. 2013-03-16 13:22:55.274 Login time: 16.03.2013 13:22:55
. 2013-03-16 13:22:55.274 --------------------------------------------------------------------------
. 2013-03-16 13:22:55.274 Host name: 111.222.33.44 (Port: 21)
. 2013-03-16 13:22:55.274 Tunnel: No
. 2013-03-16 13:22:55.274 Transfer Protocol: FTP
. 2013-03-16 13:22:55.274 Code Page: 0
. 2013-03-16 13:22:55.274 Ping type: C, Ping interval: 30 sec; Timeout: 15 sec
. 2013-03-16 13:22:55.274 Proxy: none
. 2013-03-16 13:22:55.284 FTP: FTPS: None; Passive: Yes [Force IP: A]; MLSD: A
. 2013-03-16 13:22:55.284 Local directory: default, Remote directory: DISK$USER:[USERS.AVT_APV], Update: Yes, Cache: Yes
. 2013-03-16 13:22:55.284 Cache directory changes: Yes, Permanent: No
. 2013-03-16 13:22:55.284 DST mode: 1; Timezone offset: 0h 0m
. 2013-03-16 13:22:55.284 --------------------------------------------------------------------------
. 2013-03-16 13:22:55.305 Connecting to 111.222.33.44 ...
. 2013-03-16 13:22:55.405 Connected with 111.222.33.44. Waiting for welcome message...
< 2013-03-16 13:22:55.485 220 myhost.myhost.host.xy FTP Server (Version 5.6) Ready.
> 2013-03-16 13:22:55.495 USER avt_apv
< 2013-03-16 13:22:55.585 331 Username avt_apv requires a Password
> 2013-03-16 13:22:55.585 PASS ******
< 2013-03-16 13:22:55.765 230 User logged in.
> 2013-03-16 13:22:55.765 SYST
< 2013-03-16 13:22:55.855 200 VMS OpenVMS V8.3 on node myhost.myhost.host.xy.
> 2013-03-16 13:22:55.855 FEAT
< 2013-03-16 13:22:55.955 502 FEAT is unimplemented.
. 2013-03-16 13:22:55.955 Connected
. 2013-03-16 13:22:55.955 Got reply 1 to the command 1
. 2013-03-16 13:22:55.955 --------------------------------------------------------------------------
. 2013-03-16 13:22:55.955 Using FTP protocol.
. 2013-03-16 13:22:55.955 Doing startup conversation with host.
> 2013-03-16 13:22:55.965 PWD
< 2013-03-16 13:22:56.066 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-16 13:22:56.066 Got reply 1 to the command 16
. 2013-03-16 13:22:56.076 Changing directory to "DISK$USER:[USERS.AVT_APV]".
. 2013-03-16 13:22:56.076 Synchronizing current directory "DISK$USER:[USERS.AVT_APV]".
> 2013-03-16 13:22:56.076 CWD DISK$USER:[USERS.AVT_APV]
< 2013-03-16 13:22:56.166 250-CWD command successful.
< 2013-03-16 13:22:56.166 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-16 13:22:56.166 Got reply 1 to the command 16
> 2013-03-16 13:22:56.166 CWD DISK$USER:[USERS.AVT_APV]
< 2013-03-16 13:22:56.266 250-CWD command successful.
< 2013-03-16 13:22:56.266 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-16 13:22:56.266 Got reply 1 to the command 16
. 2013-03-16 13:22:56.266 Getting current directory name.
> 2013-03-16 13:22:56.266 PWD
< 2013-03-16 13:22:56.356 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-16 13:22:56.366 Got reply 1 to the command 16
. 2013-03-16 13:22:56.376 Retrieving directory listing...
> 2013-03-16 13:22:56.376 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-16 13:22:56.466 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-16 13:22:56.466 550 file specification syntax error
. 2013-03-16 13:22:56.466 Could not retrieve directory listing
. 2013-03-16 13:22:56.466 Got reply 4 to the command 2
. 2013-03-16 13:22:56.476 Retrieving directory listing...
> 2013-03-16 13:22:56.476 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-16 13:22:56.566 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-16 13:22:56.566 550 file specification syntax error
. 2013-03-16 13:22:56.566 Could not retrieve directory listing
. 2013-03-16 13:22:56.566 Got reply 4 to the command 2
* 2013-03-16 13:22:56.576
* 2013-03-16 13:22:56.576 Could not retrieve directory listing
* 2013-03-16 13:22:56.576 Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
* 2013-03-16 13:22:56.576 file specification syntax error
. 2013-03-16 13:22:57.808 Startup conversation with host finished.
. 2013-03-16 13:22:59.471 Got reply 1004 to the command 2
. 2013-03-16 13:22:59.471 Disconnected from server

michael.lukashov

2013-03-16 21:24

developer   bugnote:0010529

Found that this error occurs if remote directory is empty (Edit session --> Directories --> Remote directory:)
If remote directory is explicitly set to "/" plugin works.
You can set explicit remote directory as workaround.

VladV

2013-03-16 22:47

reporter   bugnote:0010530

It doesn't help. :(
I set directory to "/", and after connection the directory was changed to "DISK$USER:[USERS.AVT_APV]".
I've just tried to ON/OFF remembering last directory and to ON/OFF the MLSD command. See the log below (sorry, there is no file attachements supported on this site).

. 2013-03-16 22:35:45.116 --------------------------------------------------------------------------
. 2013-03-16 22:35:45.116 NetBox Version 2.1.27 (Build 224) (OS 5.1.2600 Service Pack 3)
. 2013-03-16 22:35:45.126 Configuration: NetBox 3\
. 2013-03-16 22:35:45.126 Working directory: C:\Program Files\Far3
. 2013-03-16 22:35:45.126 Login time: 16.03.2013 22:35:45
. 2013-03-16 22:35:45.126 --------------------------------------------------------------------------
. 2013-03-16 22:35:45.126 Host name: 111.222.33.44 (Port: 21)
. 2013-03-16 22:35:45.126 Tunnel: No
. 2013-03-16 22:35:45.126 Transfer Protocol: FTP
. 2013-03-16 22:35:45.126 Code Page: 0
. 2013-03-16 22:35:45.126 Ping type: C, Ping interval: 30 sec; Timeout: 15 sec
. 2013-03-16 22:35:45.126 Proxy: none
. 2013-03-16 22:35:45.136 FTP: FTPS: None; Passive: Yes [Force IP: A]; MLSD: A
. 2013-03-16 22:35:45.136 Local directory: default, Remote directory: DISK$USER:[USERS.AVT_APV], Update: Yes, Cache: Yes
. 2013-03-16 22:35:45.136 Cache directory changes: Yes, Permanent: No
. 2013-03-16 22:35:45.136 DST mode: 1; Timezone offset: 0h 0m
. 2013-03-16 22:35:45.136 --------------------------------------------------------------------------
. 2013-03-16 22:35:45.156 Connecting to 111.222.33.44 ...
. 2013-03-16 22:35:45.256 Connected with 111.222.33.44. Waiting for welcome message...
< 2013-03-16 22:35:45.346 220 myhost.myhost.host.xy FTP Server (Version 5.6) Ready.
> 2013-03-16 22:35:45.346 USER avt_apv
< 2013-03-16 22:35:45.446 331 Username avt_apv requires a Password
> 2013-03-16 22:35:45.446 PASS ******
< 2013-03-16 22:35:45.607 230 User logged in.
> 2013-03-16 22:35:45.607 SYST
< 2013-03-16 22:35:45.707 200 VMS OpenVMS V8.3 on node myhost.myhost.host.xy.
> 2013-03-16 22:35:45.707 FEAT
< 2013-03-16 22:35:45.797 502 FEAT is unimplemented.
. 2013-03-16 22:35:45.807 Connected
. 2013-03-16 22:35:45.807 Got reply 1 to the command 1
. 2013-03-16 22:35:45.807 --------------------------------------------------------------------------
. 2013-03-16 22:35:45.807 Using FTP protocol.
. 2013-03-16 22:35:45.807 Doing startup conversation with host.
> 2013-03-16 22:35:45.817 PWD
< 2013-03-16 22:35:45.917 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-16 22:35:45.917 Got reply 1 to the command 16
. 2013-03-16 22:35:45.927 Changing directory to "DISK$USER:[USERS.AVT_APV]".
. 2013-03-16 22:35:45.927 Synchronizing current directory "DISK$USER:[USERS.AVT_APV]".
> 2013-03-16 22:35:45.927 CWD DISK$USER:[USERS.AVT_APV]
< 2013-03-16 22:35:46.017 250-CWD command successful.
< 2013-03-16 22:35:46.017 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-16 22:35:46.017 Got reply 1 to the command 16
> 2013-03-16 22:35:46.017 CWD DISK$USER:[USERS.AVT_APV]
< 2013-03-16 22:35:46.117 250-CWD command successful.
< 2013-03-16 22:35:46.127 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-16 22:35:46.127 Got reply 1 to the command 16
. 2013-03-16 22:35:46.127 Getting current directory name.
> 2013-03-16 22:35:46.127 PWD
< 2013-03-16 22:35:46.218 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-16 22:35:46.218 Got reply 1 to the command 16
. 2013-03-16 22:35:46.238 Retrieving directory listing...
> 2013-03-16 22:35:46.238 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-16 22:35:46.328 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-16 22:35:46.328 550 file specification syntax error
. 2013-03-16 22:35:46.328 Could not retrieve directory listing
. 2013-03-16 22:35:46.338 Got reply 4 to the command 2
. 2013-03-16 22:35:46.338 Retrieving directory listing...
> 2013-03-16 22:35:46.348 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-16 22:35:46.438 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-16 22:35:46.438 550 file specification syntax error
. 2013-03-16 22:35:46.438 Could not retrieve directory listing
. 2013-03-16 22:35:46.448 Got reply 4 to the command 2
* 2013-03-16 22:35:46.448
* 2013-03-16 22:35:46.448 Could not retrieve directory listing
* 2013-03-16 22:35:46.448 Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
* 2013-03-16 22:35:46.458 file specification syntax error
. 2013-03-16 22:35:48.431 Startup conversation with host finished.
. 2013-03-16 22:35:50.494 Got reply 1004 to the command 2
. 2013-03-16 22:35:50.494 Disconnected from server
. 2013-03-16 22:36:35.669 --------------------------------------------------------------------------
. 2013-03-16 22:36:35.669 NetBox Version 2.1.27 (Build 224) (OS 5.1.2600 Service Pack 3)
. 2013-03-16 22:36:35.669 Configuration: NetBox 3\
. 2013-03-16 22:36:35.669 Working directory: C:\Program Files\Far3
. 2013-03-16 22:36:35.679 Login time: 16.03.2013 22:36:35
. 2013-03-16 22:36:35.679 --------------------------------------------------------------------------
. 2013-03-16 22:36:35.679 Host name: 111.222.33.44 (Port: 21)
. 2013-03-16 22:36:35.679 Tunnel: No
. 2013-03-16 22:36:35.679 Transfer Protocol: FTP
. 2013-03-16 22:36:35.679 Code Page: 0
. 2013-03-16 22:36:35.679 Ping type: C, Ping interval: 30 sec; Timeout: 15 sec
. 2013-03-16 22:36:35.679 Proxy: none
. 2013-03-16 22:36:35.679 FTP: FTPS: None; Passive: Yes [Force IP: A]; MLSD: A
. 2013-03-16 22:36:35.679 Local directory: default, Remote directory: DISK$USER:, Update: Yes, Cache: Yes
. 2013-03-16 22:36:35.679 Cache directory changes: Yes, Permanent: No
. 2013-03-16 22:36:35.689 DST mode: 1; Timezone offset: 0h 0m
. 2013-03-16 22:36:35.689 --------------------------------------------------------------------------
. 2013-03-16 22:36:35.699 Connecting to 111.222.33.44 ...
. 2013-03-16 22:36:35.799 Connected with 111.222.33.44. Waiting for welcome message...
< 2013-03-16 22:36:35.899 220 myhost.myhost.host.xy FTP Server (Version 5.6) Ready.
> 2013-03-16 22:36:35.899 USER avt_apv
< 2013-03-16 22:36:36.089 331 Username avt_apv requires a Password
> 2013-03-16 22:36:36.089 PASS ******
< 2013-03-16 22:36:36.250 230 User logged in.
> 2013-03-16 22:36:36.250 SYST
< 2013-03-16 22:36:36.340 200 VMS OpenVMS V8.3 on node myhost.myhost.host.xy.
> 2013-03-16 22:36:36.340 FEAT
< 2013-03-16 22:36:36.440 502 FEAT is unimplemented.
. 2013-03-16 22:36:36.440 Connected
. 2013-03-16 22:36:36.440 Got reply 1 to the command 1
. 2013-03-16 22:36:36.440 --------------------------------------------------------------------------
. 2013-03-16 22:36:36.440 Using FTP protocol.
. 2013-03-16 22:36:36.440 Doing startup conversation with host.
> 2013-03-16 22:36:36.450 PWD
< 2013-03-16 22:36:36.550 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-16 22:36:36.550 Got reply 1 to the command 16
. 2013-03-16 22:36:36.550 Changing directory to "DISK$USER:".
. 2013-03-16 22:36:36.560 Synchronizing current directory "DISK$USER:[USERS.AVT_APV]".
> 2013-03-16 22:36:36.560 CWD DISK$USER:[USERS.AVT_APV]
< 2013-03-16 22:36:36.650 250-CWD command successful.
< 2013-03-16 22:36:36.650 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-16 22:36:36.650 Got reply 1 to the command 16
> 2013-03-16 22:36:36.660 CWD DISK$USER:
< 2013-03-16 22:36:36.750 250-CWD command successful.
< 2013-03-16 22:36:36.750 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-16 22:36:36.750 Got reply 1 to the command 16
. 2013-03-16 22:36:36.750 Getting current directory name.
> 2013-03-16 22:36:36.750 PWD
< 2013-03-16 22:36:36.850 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-16 22:36:36.850 Got reply 1 to the command 16
. 2013-03-16 22:36:36.860 Retrieving directory listing...
> 2013-03-16 22:36:36.860 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-16 22:36:36.951 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-16 22:36:36.951 550 file specification syntax error
. 2013-03-16 22:36:36.951 Could not retrieve directory listing
. 2013-03-16 22:36:36.951 Got reply 4 to the command 2
. 2013-03-16 22:36:36.961 Retrieving directory listing...
> 2013-03-16 22:36:36.961 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-16 22:36:37.051 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-16 22:36:37.051 550 file specification syntax error
. 2013-03-16 22:36:37.061 Could not retrieve directory listing
. 2013-03-16 22:36:37.061 Got reply 4 to the command 2
* 2013-03-16 22:36:37.061
* 2013-03-16 22:36:37.061 Could not retrieve directory listing
* 2013-03-16 22:36:37.061 Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
* 2013-03-16 22:36:37.071 file specification syntax error
. 2013-03-16 22:36:38.563 Startup conversation with host finished.
. 2013-03-16 22:36:40.395 Got reply 1004 to the command 2
. 2013-03-16 22:36:40.395 Disconnected from server
. 2013-03-16 22:38:13.169 --------------------------------------------------------------------------
. 2013-03-16 22:38:13.169 NetBox Version 2.1.27 (Build 224) (OS 5.1.2600 Service Pack 3)
. 2013-03-16 22:38:13.169 Configuration: NetBox 3\
. 2013-03-16 22:38:13.179 Working directory: C:\Program Files\Far3
. 2013-03-16 22:38:13.179 Login time: 16.03.2013 22:38:13
. 2013-03-16 22:38:13.179 --------------------------------------------------------------------------
. 2013-03-16 22:38:13.179 Host name: 111.222.33.44 (Port: 21)
. 2013-03-16 22:38:13.179 Tunnel: No
. 2013-03-16 22:38:13.179 Transfer Protocol: FTP
. 2013-03-16 22:38:13.179 Code Page: 0
. 2013-03-16 22:38:13.179 Ping type: C, Ping interval: 30 sec; Timeout: 15 sec
. 2013-03-16 22:38:13.179 Proxy: none
. 2013-03-16 22:38:13.179 FTP: FTPS: None; Passive: Yes [Force IP: A]; MLSD: A
. 2013-03-16 22:38:13.179 Local directory: default, Remote directory: /, Update: No, Cache: Yes
. 2013-03-16 22:38:13.179 Cache directory changes: Yes, Permanent: No
. 2013-03-16 22:38:13.189 DST mode: 1; Timezone offset: 0h 0m
. 2013-03-16 22:38:13.189 --------------------------------------------------------------------------
. 2013-03-16 22:38:13.209 Connecting to 111.222.33.44 ...
. 2013-03-16 22:38:13.309 Connected with 111.222.33.44. Waiting for welcome message...
< 2013-03-16 22:38:13.399 220 myhost.myhost.host.xy FTP Server (Version 5.6) Ready.
> 2013-03-16 22:38:13.399 USER avt_apv
< 2013-03-16 22:38:13.499 331 Username avt_apv requires a Password
> 2013-03-16 22:38:13.499 PASS ******
< 2013-03-16 22:38:13.670 230 User logged in.
> 2013-03-16 22:38:13.670 SYST
< 2013-03-16 22:38:13.760 200 VMS OpenVMS V8.3 on node myhost.myhost.host.xy.
> 2013-03-16 22:38:13.760 FEAT
< 2013-03-16 22:38:13.860 502 FEAT is unimplemented.
. 2013-03-16 22:38:13.860 Connected
. 2013-03-16 22:38:13.860 Got reply 1 to the command 1
. 2013-03-16 22:38:13.870 --------------------------------------------------------------------------
. 2013-03-16 22:38:13.870 Using FTP protocol.
. 2013-03-16 22:38:13.870 Doing startup conversation with host.
> 2013-03-16 22:38:13.880 PWD
< 2013-03-16 22:38:13.970 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-16 22:38:13.980 Got reply 1 to the command 16
. 2013-03-16 22:38:13.980 Changing directory to "/".
. 2013-03-16 22:38:13.980 Synchronizing current directory "DISK$USER:[USERS.AVT_APV]".
> 2013-03-16 22:38:13.990 CWD DISK$USER:[USERS.AVT_APV]
< 2013-03-16 22:38:14.080 250-CWD command successful.
< 2013-03-16 22:38:14.080 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-16 22:38:14.080 Got reply 1 to the command 16
> 2013-03-16 22:38:14.080 CWD /
< 2013-03-16 22:38:14.180 250-CWD command successful.
< 2013-03-16 22:38:14.180 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-16 22:38:14.180 Got reply 1 to the command 16
. 2013-03-16 22:38:14.180 Getting current directory name.
> 2013-03-16 22:38:14.180 PWD
< 2013-03-16 22:38:14.280 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-16 22:38:14.280 Got reply 1 to the command 16
. 2013-03-16 22:38:14.301 Retrieving directory listing...
> 2013-03-16 22:38:14.301 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-16 22:38:14.381 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-16 22:38:14.381 550 file specification syntax error
. 2013-03-16 22:38:14.381 Could not retrieve directory listing
. 2013-03-16 22:38:14.391 Got reply 4 to the command 2
. 2013-03-16 22:38:14.391 Retrieving directory listing...
> 2013-03-16 22:38:14.391 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-16 22:38:14.481 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-16 22:38:14.481 550 file specification syntax error
. 2013-03-16 22:38:14.481 Could not retrieve directory listing
. 2013-03-16 22:38:14.481 Got reply 4 to the command 2
* 2013-03-16 22:38:14.481
* 2013-03-16 22:38:14.491 Could not retrieve directory listing
* 2013-03-16 22:38:14.491 Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
* 2013-03-16 22:38:14.491 file specification syntax error
. 2013-03-16 22:38:16.914 Startup conversation with host finished.
. 2013-03-16 22:38:19.047 Got reply 1004 to the command 2
. 2013-03-16 22:38:19.047 Disconnected from server
. 2013-03-16 22:38:44.854 --------------------------------------------------------------------------
. 2013-03-16 22:38:44.854 NetBox Version 2.1.27 (Build 224) (OS 5.1.2600 Service Pack 3)
. 2013-03-16 22:38:44.854 Configuration: NetBox 3\
. 2013-03-16 22:38:44.854 Working directory: C:\Program Files\Far3
. 2013-03-16 22:38:44.864 Login time: 16.03.2013 22:38:44
. 2013-03-16 22:38:44.864 --------------------------------------------------------------------------
. 2013-03-16 22:38:44.864 Host name: 111.222.33.44 (Port: 21)
. 2013-03-16 22:38:44.864 Tunnel: No
. 2013-03-16 22:38:44.864 Transfer Protocol: FTP
. 2013-03-16 22:38:44.864 Code Page: 0
. 2013-03-16 22:38:44.864 Ping type: C, Ping interval: 30 sec; Timeout: 15 sec
. 2013-03-16 22:38:44.864 Proxy: none
. 2013-03-16 22:38:44.864 FTP: FTPS: None; Passive: Yes [Force IP: A]; MLSD: A
. 2013-03-16 22:38:44.864 Local directory: default, Remote directory: /, Update: Yes, Cache: Yes
. 2013-03-16 22:38:44.864 Cache directory changes: Yes, Permanent: No
. 2013-03-16 22:38:44.874 DST mode: 1; Timezone offset: 0h 0m
. 2013-03-16 22:38:44.874 --------------------------------------------------------------------------
. 2013-03-16 22:38:44.884 Connecting to 111.222.33.44 ...
. 2013-03-16 22:38:44.985 Connected with 111.222.33.44. Waiting for welcome message...
< 2013-03-16 22:38:45.085 220 myhost.myhost.host.xy FTP Server (Version 5.6) Ready.
> 2013-03-16 22:38:45.085 USER avt_apv
< 2013-03-16 22:38:45.175 331 Username avt_apv requires a Password
> 2013-03-16 22:38:45.175 PASS ******
< 2013-03-16 22:38:45.335 230 User logged in.
> 2013-03-16 22:38:45.335 SYST
< 2013-03-16 22:38:45.425 200 VMS OpenVMS V8.3 on node myhost.myhost.host.xy.
> 2013-03-16 22:38:45.435 FEAT
< 2013-03-16 22:38:45.515 502 FEAT is unimplemented.
. 2013-03-16 22:38:45.525 Connected
. 2013-03-16 22:38:45.525 Got reply 1 to the command 1
. 2013-03-16 22:38:45.525 --------------------------------------------------------------------------
. 2013-03-16 22:38:45.525 Using FTP protocol.
. 2013-03-16 22:38:45.525 Doing startup conversation with host.
> 2013-03-16 22:38:45.535 PWD
< 2013-03-16 22:38:45.636 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-16 22:38:45.636 Got reply 1 to the command 16
. 2013-03-16 22:38:45.636 Changing directory to "/".
. 2013-03-16 22:38:45.646 Synchronizing current directory "DISK$USER:[USERS.AVT_APV]".
> 2013-03-16 22:38:45.646 CWD DISK$USER:[USERS.AVT_APV]
< 2013-03-16 22:38:45.736 250-CWD command successful.
< 2013-03-16 22:38:45.736 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-16 22:38:45.736 Got reply 1 to the command 16
> 2013-03-16 22:38:45.736 CWD /
< 2013-03-16 22:38:45.836 250-CWD command successful.
< 2013-03-16 22:38:45.836 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-16 22:38:45.836 Got reply 1 to the command 16
. 2013-03-16 22:38:45.836 Getting current directory name.
> 2013-03-16 22:38:45.836 PWD
< 2013-03-16 22:38:45.926 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-16 22:38:45.936 Got reply 1 to the command 16
. 2013-03-16 22:38:45.946 Retrieving directory listing...
> 2013-03-16 22:38:45.946 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-16 22:38:46.036 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-16 22:38:46.036 550 file specification syntax error
. 2013-03-16 22:38:46.036 Could not retrieve directory listing
. 2013-03-16 22:38:46.036 Got reply 4 to the command 2
. 2013-03-16 22:38:46.046 Retrieving directory listing...
> 2013-03-16 22:38:46.046 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-16 22:38:46.136 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-16 22:38:46.136 550 file specification syntax error
. 2013-03-16 22:38:46.136 Could not retrieve directory listing
. 2013-03-16 22:38:46.136 Got reply 4 to the command 2
* 2013-03-16 22:38:46.146
* 2013-03-16 22:38:46.146 Could not retrieve directory listing
* 2013-03-16 22:38:46.146 Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
* 2013-03-16 22:38:46.146 file specification syntax error
. 2013-03-16 22:38:47.538 Startup conversation with host finished.
. 2013-03-16 22:38:51.153 Got reply 1004 to the command 2
. 2013-03-16 22:38:51.153 Disconnected from server
. 2013-03-16 22:38:55.490 --------------------------------------------------------------------------
. 2013-03-16 22:38:55.490 NetBox Version 2.1.27 (Build 224) (OS 5.1.2600 Service Pack 3)
. 2013-03-16 22:38:55.490 Configuration: NetBox 3\
. 2013-03-16 22:38:55.490 Working directory: C:\Program Files\Far3
. 2013-03-16 22:38:55.500 Login time: 16.03.2013 22:38:55
. 2013-03-16 22:38:55.500 --------------------------------------------------------------------------
. 2013-03-16 22:38:55.500 Host name: 111.222.33.44 (Port: 21)
. 2013-03-16 22:38:55.500 Tunnel: No
. 2013-03-16 22:38:55.500 Transfer Protocol: FTP
. 2013-03-16 22:38:55.500 Code Page: 0
. 2013-03-16 22:38:55.500 Ping type: C, Ping interval: 30 sec; Timeout: 15 sec
. 2013-03-16 22:38:55.500 Proxy: none
. 2013-03-16 22:38:55.500 FTP: FTPS: None; Passive: Yes [Force IP: A]; MLSD: A
. 2013-03-16 22:38:55.500 Local directory: default, Remote directory: DISK$USER:[USERS.AVT_APV], Update: Yes, Cache: Yes
. 2013-03-16 22:38:55.500 Cache directory changes: Yes, Permanent: No
. 2013-03-16 22:38:55.510 DST mode: 1; Timezone offset: 0h 0m
. 2013-03-16 22:38:55.510 --------------------------------------------------------------------------
. 2013-03-16 22:38:55.520 Connecting to 111.222.33.44 ...
. 2013-03-16 22:38:55.620 Connected with 111.222.33.44. Waiting for welcome message...
< 2013-03-16 22:38:55.710 220 myhost.myhost.host.xy FTP Server (Version 5.6) Ready.
> 2013-03-16 22:38:55.710 USER avt_apv
< 2013-03-16 22:38:55.800 331 Username avt_apv requires a Password
> 2013-03-16 22:38:55.800 PASS ******
< 2013-03-16 22:38:55.960 230 User logged in.
> 2013-03-16 22:38:55.960 SYST
< 2013-03-16 22:38:56.051 200 VMS OpenVMS V8.3 on node myhost.myhost.host.xy.
> 2013-03-16 22:38:56.051 FEAT
< 2013-03-16 22:38:56.141 502 FEAT is unimplemented.
. 2013-03-16 22:38:56.151 Connected
. 2013-03-16 22:38:56.151 Got reply 1 to the command 1
. 2013-03-16 22:38:56.151 --------------------------------------------------------------------------
. 2013-03-16 22:38:56.151 Using FTP protocol.
. 2013-03-16 22:38:56.151 Doing startup conversation with host.
> 2013-03-16 22:38:56.161 PWD
< 2013-03-16 22:38:56.251 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-16 22:38:56.261 Got reply 1 to the command 16
. 2013-03-16 22:38:56.261 Changing directory to "DISK$USER:[USERS.AVT_APV]".
. 2013-03-16 22:38:56.261 Synchronizing current directory "DISK$USER:[USERS.AVT_APV]".
> 2013-03-16 22:38:56.271 CWD DISK$USER:[USERS.AVT_APV]
< 2013-03-16 22:38:56.361 250-CWD command successful.
< 2013-03-16 22:38:56.361 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-16 22:38:56.361 Got reply 1 to the command 16
> 2013-03-16 22:38:56.361 CWD DISK$USER:[USERS.AVT_APV]
< 2013-03-16 22:38:56.461 250-CWD command successful.
< 2013-03-16 22:38:56.461 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-16 22:38:56.461 Got reply 1 to the command 16
. 2013-03-16 22:38:56.461 Getting current directory name.
> 2013-03-16 22:38:56.461 PWD
< 2013-03-16 22:38:56.551 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-16 22:38:56.551 Got reply 1 to the command 16
. 2013-03-16 22:38:56.571 Retrieving directory listing...
> 2013-03-16 22:38:56.571 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-16 22:38:56.661 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-16 22:38:56.661 550 file specification syntax error
. 2013-03-16 22:38:56.661 Could not retrieve directory listing
. 2013-03-16 22:38:56.661 Got reply 4 to the command 2
. 2013-03-16 22:38:56.671 Retrieving directory listing...
> 2013-03-16 22:38:56.671 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-16 22:38:56.762 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-16 22:38:56.762 550 file specification syntax error
. 2013-03-16 22:38:56.762 Could not retrieve directory listing
. 2013-03-16 22:38:56.762 Got reply 4 to the command 2
* 2013-03-16 22:38:56.772
* 2013-03-16 22:38:56.772 Could not retrieve directory listing
* 2013-03-16 22:38:56.772 Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
* 2013-03-16 22:38:56.772 file specification syntax error
. 2013-03-16 22:38:59.145 Startup conversation with host finished.
. 2013-03-16 22:39:09.159 Getting current directory name.
. 2013-03-16 22:39:09.159 Retrieving directory listing...
> 2013-03-16 22:39:09.159 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-16 22:39:09.260 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-16 22:39:09.260 550 file specification syntax error
. 2013-03-16 22:39:09.260 Could not retrieve directory listing
. 2013-03-16 22:39:09.260 Got reply 4 to the command 2
* 2013-03-16 22:39:09.270
* 2013-03-16 22:39:09.270 Could not retrieve directory listing
* 2013-03-16 22:39:09.270 Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
* 2013-03-16 22:39:09.270 file specification syntax error
. 2013-03-16 22:39:17.101 Got reply 1004 to the command 2
. 2013-03-16 22:39:17.101 Disconnected from server
. 2013-03-16 22:40:18.008 --------------------------------------------------------------------------
. 2013-03-16 22:40:18.008 NetBox Version 2.1.27 (Build 224) (OS 5.1.2600 Service Pack 3)
. 2013-03-16 22:40:18.008 Configuration: NetBox 3\
. 2013-03-16 22:40:18.008 Working directory: C:\Program Files\Far3
. 2013-03-16 22:40:18.018 Login time: 16.03.2013 22:40:18
. 2013-03-16 22:40:18.018 --------------------------------------------------------------------------
. 2013-03-16 22:40:18.018 Host name: 111.222.33.44 (Port: 21)
. 2013-03-16 22:40:18.018 Tunnel: No
. 2013-03-16 22:40:18.018 Transfer Protocol: FTP
. 2013-03-16 22:40:18.018 Code Page: 0
. 2013-03-16 22:40:18.018 Ping type: C, Ping interval: 30 sec; Timeout: 15 sec
. 2013-03-16 22:40:18.018 Proxy: none
. 2013-03-16 22:40:18.018 FTP: FTPS: None; Passive: Yes [Force IP: A]; MLSD: -
. 2013-03-16 22:40:18.018 Local directory: default, Remote directory: /, Update: Yes, Cache: Yes
. 2013-03-16 22:40:18.018 Cache directory changes: Yes, Permanent: No
. 2013-03-16 22:40:18.028 DST mode: 1; Timezone offset: 0h 0m
. 2013-03-16 22:40:18.028 --------------------------------------------------------------------------
. 2013-03-16 22:40:18.038 Connecting to 111.222.33.44 ...
. 2013-03-16 22:40:18.139 Connected with 111.222.33.44. Waiting for welcome message...
< 2013-03-16 22:40:18.229 220 myhost.myhost.host.xy FTP Server (Version 5.6) Ready.
> 2013-03-16 22:40:18.229 USER avt_apv
< 2013-03-16 22:40:18.329 331 Username avt_apv requires a Password
> 2013-03-16 22:40:18.329 PASS ******
< 2013-03-16 22:40:18.489 230 User logged in.
> 2013-03-16 22:40:18.489 SYST
< 2013-03-16 22:40:18.579 200 VMS OpenVMS V8.3 on node myhost.myhost.host.xy.
> 2013-03-16 22:40:18.579 FEAT
< 2013-03-16 22:40:18.669 502 FEAT is unimplemented.
. 2013-03-16 22:40:18.679 Connected
. 2013-03-16 22:40:18.679 Got reply 1 to the command 1
. 2013-03-16 22:40:18.679 --------------------------------------------------------------------------
. 2013-03-16 22:40:18.679 Using FTP protocol.
. 2013-03-16 22:40:18.679 Doing startup conversation with host.
> 2013-03-16 22:40:18.689 PWD
< 2013-03-16 22:40:18.779 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-16 22:40:18.779 Got reply 1 to the command 16
. 2013-03-16 22:40:18.790 Changing directory to "/".
. 2013-03-16 22:40:18.790 Synchronizing current directory "DISK$USER:[USERS.AVT_APV]".
> 2013-03-16 22:40:18.790 CWD DISK$USER:[USERS.AVT_APV]
< 2013-03-16 22:40:18.880 250-CWD command successful.
< 2013-03-16 22:40:18.880 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-16 22:40:18.890 Got reply 1 to the command 16
> 2013-03-16 22:40:18.890 CWD /
< 2013-03-16 22:40:18.980 250-CWD command successful.
< 2013-03-16 22:40:18.980 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-16 22:40:18.990 Got reply 1 to the command 16
. 2013-03-16 22:40:18.990 Getting current directory name.
> 2013-03-16 22:40:18.990 PWD
< 2013-03-16 22:40:19.080 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-16 22:40:19.080 Got reply 1 to the command 16
. 2013-03-16 22:40:19.100 Retrieving directory listing...
> 2013-03-16 22:40:19.100 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-16 22:40:19.190 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-16 22:40:19.190 550 file specification syntax error
. 2013-03-16 22:40:19.200 Could not retrieve directory listing
. 2013-03-16 22:40:19.200 Got reply 4 to the command 2
. 2013-03-16 22:40:19.210 Retrieving directory listing...
> 2013-03-16 22:40:19.210 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-16 22:40:19.300 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-16 22:40:19.300 550 file specification syntax error
. 2013-03-16 22:40:19.300 Could not retrieve directory listing
. 2013-03-16 22:40:19.300 Got reply 4 to the command 2
* 2013-03-16 22:40:19.300
* 2013-03-16 22:40:19.300 Could not retrieve directory listing
* 2013-03-16 22:40:19.300 Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
* 2013-03-16 22:40:19.310 file specification syntax error
. 2013-03-16 22:40:20.282 Startup conversation with host finished.
. 2013-03-16 22:40:21.453 Cached directory change via ".." to "DISK$USER:[USERS.AVT_APV]".
. 2013-03-16 22:40:21.453 Getting current directory name.
. 2013-03-16 22:40:21.463 Directory content loaded from cache.
. 2013-03-16 22:40:23.576 Got reply 1004 to the command 2
. 2013-03-16 22:40:23.576 Disconnected from server
. 2013-03-16 22:40:45.648 --------------------------------------------------------------------------
. 2013-03-16 22:40:45.648 NetBox Version 2.1.27 (Build 224) (OS 5.1.2600 Service Pack 3)
. 2013-03-16 22:40:45.648 Configuration: NetBox 3\
. 2013-03-16 22:40:45.648 Working directory: C:\Program Files\Far3
. 2013-03-16 22:40:45.658 Login time: 16.03.2013 22:40:45
. 2013-03-16 22:40:45.658 --------------------------------------------------------------------------
. 2013-03-16 22:40:45.658 Host name: 111.222.33.44 (Port: 21)
. 2013-03-16 22:40:45.658 Tunnel: No
. 2013-03-16 22:40:45.658 Transfer Protocol: FTP
. 2013-03-16 22:40:45.658 Code Page: 0
. 2013-03-16 22:40:45.658 Ping type: C, Ping interval: 30 sec; Timeout: 15 sec
. 2013-03-16 22:40:45.658 Proxy: none
. 2013-03-16 22:40:45.658 FTP: FTPS: None; Passive: Yes [Force IP: A]; MLSD: +
. 2013-03-16 22:40:45.658 Local directory: default, Remote directory: DISK$USER:[USERS.AVT_APV], Update: Yes, Cache: Yes
. 2013-03-16 22:40:45.668 Cache directory changes: Yes, Permanent: No
. 2013-03-16 22:40:45.668 DST mode: 1; Timezone offset: 0h 0m
. 2013-03-16 22:40:45.668 --------------------------------------------------------------------------
. 2013-03-16 22:40:45.688 Connecting to 111.222.33.44 ...
. 2013-03-16 22:40:45.788 Connected with 111.222.33.44. Waiting for welcome message...
< 2013-03-16 22:40:45.878 220 myhost.myhost.host.xy FTP Server (Version 5.6) Ready.
> 2013-03-16 22:40:45.878 USER avt_apv
< 2013-03-16 22:40:45.979 331 Username avt_apv requires a Password
> 2013-03-16 22:40:45.979 PASS ******
< 2013-03-16 22:40:46.129 230 User logged in.
> 2013-03-16 22:40:46.139 SYST
< 2013-03-16 22:40:46.229 200 VMS OpenVMS V8.3 on node myhost.myhost.host.xy.
> 2013-03-16 22:40:46.229 FEAT
< 2013-03-16 22:40:46.319 502 FEAT is unimplemented.
. 2013-03-16 22:40:46.329 Connected
. 2013-03-16 22:40:46.329 Got reply 1 to the command 1
. 2013-03-16 22:40:46.329 --------------------------------------------------------------------------
. 2013-03-16 22:40:46.329 Using FTP protocol.
. 2013-03-16 22:40:46.329 Doing startup conversation with host.
> 2013-03-16 22:40:46.339 PWD
< 2013-03-16 22:40:46.429 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-16 22:40:46.439 Got reply 1 to the command 16
. 2013-03-16 22:40:46.439 Changing directory to "DISK$USER:[USERS.AVT_APV]".
. 2013-03-16 22:40:46.449 Synchronizing current directory "DISK$USER:[USERS.AVT_APV]".
> 2013-03-16 22:40:46.449 CWD DISK$USER:[USERS.AVT_APV]
< 2013-03-16 22:40:46.539 250-CWD command successful.
< 2013-03-16 22:40:46.539 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-16 22:40:46.539 Got reply 1 to the command 16
> 2013-03-16 22:40:46.549 CWD DISK$USER:[USERS.AVT_APV]
< 2013-03-16 22:40:46.640 250-CWD command successful.
< 2013-03-16 22:40:46.640 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-16 22:40:46.640 Got reply 1 to the command 16
. 2013-03-16 22:40:46.640 Getting current directory name.
> 2013-03-16 22:40:46.650 PWD
< 2013-03-16 22:40:46.740 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-16 22:40:46.740 Got reply 1 to the command 16
. 2013-03-16 22:40:46.750 Retrieving directory listing...
> 2013-03-16 22:40:46.750 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-16 22:40:46.840 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-16 22:40:46.840 550 file specification syntax error
. 2013-03-16 22:40:46.840 Could not retrieve directory listing
. 2013-03-16 22:40:46.840 Got reply 4 to the command 2
. 2013-03-16 22:40:46.850 Retrieving directory listing...
> 2013-03-16 22:40:46.850 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-16 22:40:46.940 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-16 22:40:46.940 550 file specification syntax error
. 2013-03-16 22:40:46.950 Could not retrieve directory listing
. 2013-03-16 22:40:46.950 Got reply 4 to the command 2
* 2013-03-16 22:40:46.950
* 2013-03-16 22:40:46.950 Could not retrieve directory listing
* 2013-03-16 22:40:46.950 Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
* 2013-03-16 22:40:46.960 file specification syntax error
. 2013-03-16 22:40:48.402 Startup conversation with host finished.
. 2013-03-16 22:40:49.664 Changing directory to "..".
. 2013-03-16 22:40:49.664 Synchronizing current directory "DISK$USER:[USERS.AVT_APV]".
> 2013-03-16 22:40:49.664 CWD DISK$USER:[USERS.AVT_APV]
< 2013-03-16 22:40:49.754 250-CWD command successful.
< 2013-03-16 22:40:49.764 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-16 22:40:49.764 Got reply 1 to the command 16
> 2013-03-16 22:40:49.764 CWD ..
< 2013-03-16 22:40:49.854 250-CWD command successful.
< 2013-03-16 22:40:49.854 250 New default directory is DISK$USER:[USERS]
. 2013-03-16 22:40:49.854 Got reply 1 to the command 16
. 2013-03-16 22:40:49.864 Getting current directory name.
> 2013-03-16 22:40:49.864 PWD
< 2013-03-16 22:40:49.954 257 "DISK$USER:[USERS]" is current directory.
. 2013-03-16 22:40:49.954 Got reply 1 to the command 16
. 2013-03-16 22:40:49.954 Retrieving directory listing...
> 2013-03-16 22:40:49.954 CWD /DISK$USER:[USERS]/DISK$USER:[USERS]/
< 2013-03-16 22:40:50.054 550-Failed to set default directory to /DISK$USER:[USERS]/DISK$USER:[USERS]/.
< 2013-03-16 22:40:50.054 550 file specification syntax error
. 2013-03-16 22:40:50.054 Could not retrieve directory listing
. 2013-03-16 22:40:50.054 Got reply 4 to the command 2
. 2013-03-16 22:40:52.748 Changing directory to "DISK$USER:[USERS.AVT_APV]".
. 2013-03-16 22:40:52.748 Synchronizing current directory "DISK$USER:[USERS]".
> 2013-03-16 22:40:52.748 CWD DISK$USER:[USERS]
< 2013-03-16 22:40:52.848 250-CWD command successful.
< 2013-03-16 22:40:52.848 250 New default directory is DISK$USER:[USERS]
. 2013-03-16 22:40:52.848 Got reply 1 to the command 16
> 2013-03-16 22:40:52.848 CWD DISK$USER:[USERS.AVT_APV]
< 2013-03-16 22:40:52.949 250-CWD command successful.
< 2013-03-16 22:40:52.949 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-16 22:40:52.949 Got reply 1 to the command 16
. 2013-03-16 22:40:52.949 Getting current directory name.
> 2013-03-16 22:40:52.949 PWD
< 2013-03-16 22:40:53.049 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-16 22:40:53.049 Got reply 1 to the command 16
. 2013-03-16 22:40:53.059 Directory content loaded from cache.
. 2013-03-16 22:40:54.561 Got reply 1004 to the command 16
. 2013-03-16 22:40:54.561 Disconnected from server

michael.lukashov

2013-03-16 22:52

developer   bugnote:0010531

. 2013-03-16 22:35:45.136 Local directory: default, Remote directory: DISK$USER:[USERS.AVT_APV],

Seems like you didn't set Remote directory to "/"

VladV

2013-03-16 23:18

reporter   bugnote:0010532

I set it to "/" but it was changed to "DISK$USER:[USERS.AVT_APV]".
If I switch off remembering of last directory I have always "/" in settings but the error is not solved. I can't get even the filelist.

PS: If you contact me in private I can show you the trouble remotely (skype vladislav.a.vassiliev).

VladV

2013-03-17 01:14

reporter   bugnote:0010533

Last edited: 2013-03-17 16:15

View 2 revisions

I've just tried the latest .226 version with both FARs 2 and 3 (x86).
It doesn't work for both.

Please make attention to the following lines in my log:

No error! :)

> 2013-03-17 00:47:26.207 CWD DISK$USER:[USERS.AVT_APV]
< 2013-03-17 00:47:26.297 250-CWD command successful.
< 2013-03-17 00:47:26.297 250 New default directory is DISK$USER:[USERS.AVT_APV]

Error! :( May be because of double parameter for CWD command? And there is "/" in the begining and before "]". I am not sure if it is necesary.

> 2013-03-17 00:47:26.407 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-17 00:47:26.478 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-17 00:47:26.488 550 file specification syntax error

VladV

2013-03-17 16:15

reporter   bugnote:0010534

And here is two more logs:
- The one of the old FTP plugin (read filelist well, can't download/upload files)
- The one of the latest NetBox (can't even get filelist)
May be it will help...

==========================================================================
1 2013.03.17 16:04:32:0152 ----| -------- CONNECTING (plugin: Feb 23 2013, 21:05:36) --------
1 2013.03.17 16:04:32:0913 0761|<-220 myhost.myhost.host.xy FTP Server (Version 5.6) Ready.
1 2013.03.17 16:04:32:0963 0050|->USER avt_apv
1 2013.03.17 16:04:33:0073 0110|<-331 Username avt_apv requires a Password
1 2013.03.17 16:04:33:0123 0050|->PASS *hidden*
1 2013.03.17 16:04:33:0614 0491|<-230 User logged in.
1 2013.03.17 16:04:33:0734 0120|->SYST
1 2013.03.17 16:04:33:0854 0120|<-200 VMS OpenVMS V8.3 on node myhost.myhost.host.xy.
1 2013.03.17 16:04:33:0875 0021|->PWD
1 2013.03.17 16:04:34:0005 0130|<-257 "DISK$USER:[USERS.AVT_APV]" is current directory.
1 2013.03.17 16:04:34:0015 0010|->TYPE I
1 2013.03.17 16:04:34:0105 0090|<-200 TYPE set to IMAGE.
1 2013.03.17 16:04:34:0115 0010|->REST 0
1 2013.03.17 16:04:34:0215 0100|<-502 REST is unimplemented.
1 2013.03.17 16:04:34:0495 0280|->PWD
1 2013.03.17 16:04:34:0616 0121|<-257 "DISK$USER:[USERS.AVT_APV]" is current directory.
1 2013.03.17 16:04:34:0656 0040|->PASV
1 2013.03.17 16:04:34:0846 0190|<-227 Entering Passive Mode (111,222,33,44,192,132)
1 2013.03.17 16:04:34:0866 0020|->TYPE A
1 2013.03.17 16:04:34:0966 0100|<-200 TYPE set to ASCII.
1 2013.03.17 16:04:35:0066 0100|->LIST
1 2013.03.17 16:04:35:0166 0100|<-150 Opening data connection for DISK$USER:[USERS.AVT_APV]*.*;* (10.228.93.224,3573)
1 2013.03.17 16:04:35:0226 0060|<-226 LIST Directory transfer complete.
1 2013.03.17 16:04:35:0236 0010|->TYPE I
1 2013.03.17 16:04:35:0337 0101|<-200 TYPE set to IMAGE.
1 2013.03.17 16:04:35:0367 0030| ParserFAIL: VMS ->VMS [AVT_RU_RECPGR_RECEPGT.MDF;1]
1 2013.03.17 16:04:35:0367 0000|->ParserFAIL: (VMS ) [AVT_RU_RECPGR_RECEPGT.MDF;1]
1 2013.03.17 16:04:35:0377 0010| ParserFAIL: VMS ->VMS [ 3/181 14-DEC-2012 12:43:03 [ETUDES,AVT_APV] (RWED,RWED,RWED,RE)]
1 2013.03.17 16:04:35:0377 0000|->ParserFAIL: (VMS ) [ 3/181 14-DEC-2012 12:43:03 [ETUDES,AVT_APV] (RWED,RWED,RWED,RE)]
1 2013.03.17 16:04:46:0613 11236|->TYPE I
1 2013.03.17 16:04:46:0713 0100|<-200 TYPE set to IMAGE.
1 2013.03.17 16:04:46:0723 0010|->PASV
1 2013.03.17 16:04:46:0823 0100|<-227 Entering Passive Mode (111,222,33,44,192,133)
1 2013.03.17 16:04:46:0913 0090|->RETR DISK$USER:[USERS.AVT_APV]/tcpip$ftp_server.log
1 2013.03.17 16:04:47:0033 0120|<-501-Failed to parse specification DISK$USER:[USERS.AVT_APV]/tcpip$ftp_server.log
1 2013.03.17 16:04:47:0043 0010|<-501 file specification syntax error
1 2013.03.17 16:04:50:0759 3716|->PWD
1 2013.03.17 16:04:50:0859 0100|<-257 "DISK$USER:[USERS.AVT_APV]" is current directory.
1 2013.03.17 16:04:50:0869 0010|->TYPE I
1 2013.03.17 16:04:50:0969 0100|<-200 TYPE set to IMAGE.
1 2013.03.17 16:04:50:0979 0010|->FAR: Site does not support resuming. Restarting from the beginning.
1 2013.03.17 16:04:50:0989 0010|->PASV
1 2013.03.17 16:04:51:0089 0100|<-227 Entering Passive Mode (111,222,33,44,192,134)
1 2013.03.17 16:04:51:0179 0090|->RETR DISK$USER:[USERS.AVT_APV]/tcpip$ftp_server.log
1 2013.03.17 16:04:51:0280 0101|<-501-Failed to parse specification DISK$USER:[USERS.AVT_APV]/tcpip$ftp_server.log
1 2013.03.17 16:04:51:0290 0010|<-501 file specification syntax error

==========================================================================
==========================================================================

. 2013-03-17 16:06:09.031 --------------------------------------------------------------------------
. 2013-03-17 16:06:09.081 NetBox Version 2.1.27 (Build 226) (OS 5.1.2600 Service Pack 3)
. 2013-03-17 16:06:09.091 Configuration: NetBox 3\
. 2013-03-17 16:06:09.091 Working directory: C:\Program Files\Far3\Plugins\NetBox
. 2013-03-17 16:06:09.091 Login time: 17.03.2013 16:06:09
. 2013-03-17 16:06:09.091 --------------------------------------------------------------------------
. 2013-03-17 16:06:09.101 Host name: 111.222.33.44 (Port: 21)
. 2013-03-17 16:06:09.101 Tunnel: No
. 2013-03-17 16:06:09.101 Transfer Protocol: FTP
. 2013-03-17 16:06:09.111 Code Page: 0
. 2013-03-17 16:06:09.111 Ping type: C, Ping interval: 30 sec; Timeout: 15 sec
. 2013-03-17 16:06:09.111 Proxy: none
. 2013-03-17 16:06:09.121 FTP: FTPS: None; Passive: Yes [Force IP: A]; MLSD: +
. 2013-03-17 16:06:09.131 Local directory: default, Remote directory: /, Update: No, Cache: Yes
. 2013-03-17 16:06:09.131 Cache directory changes: Yes, Permanent: No
. 2013-03-17 16:06:09.131 DST mode: 1; Timezone offset: 0h 0m
. 2013-03-17 16:06:09.131 --------------------------------------------------------------------------
. 2013-03-17 16:06:09.342 Connecting to 111.222.33.44 ...
. 2013-03-17 16:06:09.412 Connected with 111.222.33.44. Waiting for welcome message...
< 2013-03-17 16:06:09.492 220 myhost.myhost.host.xy FTP Server (Version 5.6) Ready.
> 2013-03-17 16:06:09.502 USER avt_apv
< 2013-03-17 16:06:09.582 331 Username avt_apv requires a Password
> 2013-03-17 16:06:09.582 PASS ******
< 2013-03-17 16:06:09.742 230 User logged in.
> 2013-03-17 16:06:09.742 SYST
< 2013-03-17 16:06:09.832 200 VMS OpenVMS V8.3 on node myhost.myhost.host.xy.
> 2013-03-17 16:06:09.832 FEAT
< 2013-03-17 16:06:09.923 502 FEAT is unimplemented.
. 2013-03-17 16:06:09.923 Connected
. 2013-03-17 16:06:09.923 Got reply 1 to the command 1
. 2013-03-17 16:06:09.943 --------------------------------------------------------------------------
. 2013-03-17 16:06:09.943 Using FTP protocol.
. 2013-03-17 16:06:09.953 Doing startup conversation with host.
> 2013-03-17 16:06:09.963 PWD
< 2013-03-17 16:06:10.073 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-17 16:06:10.073 Got reply 1 to the command 16
. 2013-03-17 16:06:10.083 Changing directory to "/".
. 2013-03-17 16:06:10.083 Synchronizing current directory "DISK$USER:[USERS.AVT_APV]".
> 2013-03-17 16:06:10.083 CWD DISK$USER:[USERS.AVT_APV]
< 2013-03-17 16:06:10.173 250-CWD command successful.
< 2013-03-17 16:06:10.183 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-17 16:06:10.183 Got reply 1 to the command 16
> 2013-03-17 16:06:10.183 CWD /
< 2013-03-17 16:06:10.273 250-CWD command successful.
< 2013-03-17 16:06:10.273 250 New default directory is DISK$USER:[USERS.AVT_APV]
. 2013-03-17 16:06:10.273 Got reply 1 to the command 16
. 2013-03-17 16:06:10.293 Getting current directory name.
> 2013-03-17 16:06:10.293 PWD
< 2013-03-17 16:06:10.383 257 "DISK$USER:[USERS.AVT_APV]" is current directory.
. 2013-03-17 16:06:10.383 Got reply 1 to the command 16
. 2013-03-17 16:06:10.453 Retrieving directory listing...
> 2013-03-17 16:06:10.453 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-17 16:06:10.533 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-17 16:06:10.544 550 file specification syntax error
. 2013-03-17 16:06:10.544 Could not retrieve directory listing
. 2013-03-17 16:06:10.544 Got reply 4 to the command 2
. 2013-03-17 16:06:10.614 Retrieving directory listing...
> 2013-03-17 16:06:10.614 CWD /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/
< 2013-03-17 16:06:10.694 550-Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
< 2013-03-17 16:06:10.704 550 file specification syntax error
. 2013-03-17 16:06:10.704 Could not retrieve directory listing
. 2013-03-17 16:06:10.704 Got reply 4 to the command 2
* 2013-03-17 16:06:10.704
* 2013-03-17 16:06:10.704 Could not retrieve directory listing
* 2013-03-17 16:06:10.714 Failed to set default directory to /DISK$USER:[USERS.AVT_APV]/DISK$USER:[USERS.AVT_APV]/.
* 2013-03-17 16:06:10.714 file specification syntax error
. 2013-03-17 16:06:11.855 Startup conversation with host finished.
. 2013-03-17 16:06:13.227 Got reply 1004 to the command 2
. 2013-03-17 16:06:13.227 Disconnected from server
==========================================================================

VladV

2013-03-24 22:34

reporter   bugnote:0010609

Please look at the log for ftp.ctrl-c.liu.se server.
Make attention to the response "550 file specification syntax error".

. 2013-03-24 22:28:34.470 --------------------------------------------------------------------------
. 2013-03-24 22:28:34.470 NetBox Version 2.1.27 (Build 226) (OS 5.1.2600 Service Pack 3)
. 2013-03-24 22:28:34.480 Configuration: NetBox 3\
. 2013-03-24 22:28:34.480 Working directory: C:\Documents and Settings\DIGIT\My Documents\Downloads
. 2013-03-24 22:28:34.480 Login time: 24.03.2013 22:28:34
. 2013-03-24 22:28:34.480 --------------------------------------------------------------------------
. 2013-03-24 22:28:34.480 Host name: ftp.ctrl-c.liu.se (Port: 21)
. 2013-03-24 22:28:34.480 Tunnel: No
. 2013-03-24 22:28:34.480 Transfer Protocol: FTP
. 2013-03-24 22:28:34.480 Code Page: 0
. 2013-03-24 22:28:34.480 Ping type: C, Ping interval: 30 sec; Timeout: 15 sec
. 2013-03-24 22:28:34.490 Proxy: none
. 2013-03-24 22:28:34.490 FTP: FTPS: None; Passive: Yes [Force IP: A]; MLSD: A
. 2013-03-24 22:28:34.490 Local directory: default, Remote directory: home, Update: Yes, Cache: Yes
. 2013-03-24 22:28:34.490 Cache directory changes: Yes, Permanent: Yes
. 2013-03-24 22:28:34.490 DST mode: 1; Timezone offset: 0h 0m
. 2013-03-24 22:28:34.490 --------------------------------------------------------------------------
. 2013-03-24 22:28:34.530 Connecting to ftp.ctrl-c.liu.se ...
. 2013-03-24 22:28:34.570 Connected with ftp.ctrl-c.liu.se. Waiting for welcome message...
< 2013-03-24 22:28:34.611 220-Welcome to Ctrl-Cs FTP-server!
< 2013-03-24 22:28:34.611 220 julia.ctrl-c.liu.se FTP Server (Version 5.7) Ready.
> 2013-03-24 22:28:34.621 USER anonymous
< 2013-03-24 22:28:34.661 331 Guest login OK, send ident as password.
> 2013-03-24 22:28:34.671 PASS *********************
< 2013-03-24 22:28:34.771 230-Welcome to Ctrl-Cs Anonymous FTP-server!
< 2013-03-24 22:28:34.771 230 Guest login OK, access restrictions apply.
> 2013-03-24 22:28:34.771 SYST
< 2013-03-24 22:28:35.101 200 VMS OpenVMS V8.3 on node julia.ctrl-c.liu.se.
> 2013-03-24 22:28:35.101 FEAT
< 2013-03-24 22:28:35.151 211-Extensions supported.
< 2013-03-24 22:28:35.151 AUTH TLS.
< 2013-03-24 22:28:35.151 PBSZ.
< 2013-03-24 22:28:35.151 PROT.
< 2013-03-24 22:28:35.161 211 END.
. 2013-03-24 22:28:35.161 Connected
. 2013-03-24 22:28:35.161 Got reply 1 to the command 1
. 2013-03-24 22:28:35.161 --------------------------------------------------------------------------
. 2013-03-24 22:28:35.161 Using FTP protocol.
. 2013-03-24 22:28:35.171 Doing startup conversation with host.
> 2013-03-24 22:28:35.181 PWD
< 2013-03-24 22:28:35.231 257 "FTP:[ANONYMOUS]" is current directory.
. 2013-03-24 22:28:35.231 Got reply 1 to the command 16
. 2013-03-24 22:28:35.231 Getting current directory name.
. 2013-03-24 22:28:35.251 Retrieving directory listing...
> 2013-03-24 22:28:35.251 CWD /FTP:[ANONYMOUS]/FTP:[ANONYMOUS]/
< 2013-03-24 22:28:35.292 550-Failed to set default directory to /FTP:[ANONYMOUS]/FTP:[ANONYMOUS]/.
< 2013-03-24 22:28:35.292 550 file specification syntax error
. 2013-03-24 22:28:35.292 Could not retrieve directory listing
. 2013-03-24 22:28:35.292 Got reply 4 to the command 2
. 2013-03-24 22:28:35.302 Retrieving directory listing...
> 2013-03-24 22:28:35.302 CWD /FTP:[ANONYMOUS]/FTP:[ANONYMOUS]/
< 2013-03-24 22:28:35.342 550-Failed to set default directory to /FTP:[ANONYMOUS]/FTP:[ANONYMOUS]/.
< 2013-03-24 22:28:35.352 550 file specification syntax error
. 2013-03-24 22:28:35.352 Could not retrieve directory listing
. 2013-03-24 22:28:35.352 Got reply 4 to the command 2
* 2013-03-24 22:28:35.352
* 2013-03-24 22:28:35.352 Could not retrieve directory listing
* 2013-03-24 22:28:35.352 Failed to set default directory to /FTP:[ANONYMOUS]/FTP:[ANONYMOUS]/.
* 2013-03-24 22:28:35.352 file specification syntax error
. 2013-03-24 22:28:42.602 Startup conversation with host finished.
. 2013-03-24 22:28:44.515 Changing directory to "..".
. 2013-03-24 22:28:44.515 Synchronizing current directory "FTP:[ANONYMOUS]".
> 2013-03-24 22:28:44.515 CWD FTP:[ANONYMOUS]
< 2013-03-24 22:28:44.565 550-Failed to set default directory to FTP:[ANONYMOUS].
< 2013-03-24 22:28:44.565 550 insufficient privilege or file protection violation
. 2013-03-24 22:28:44.575 Got reply 4 to the command 16

VladV

2013-03-24 23:00

reporter   bugnote:0010610

The OpenVMS file system architecture does not support the "CWD" command.
http://support.microsoft.com/KB/201132

2useven10

2013-04-08 21:23

developer   bugnote:0010687

2VladV
Try attached FarFtp.

2useven10

2013-04-09 14:00

developer   bugnote:0010696

updated...

VladV

2013-04-09 20:49

reporter   bugnote:0010705

2useven10,
Is it possible to compile this DLL for FAR 2.0 or 3.0 please?..

2useven10

2013-04-09 20:55

developer   bugnote:0010706

FarFtp is ANSI (far1) plugin.
It works in far3 (attached version) via built-in wrapper.

VladV

2013-04-10 19:05

reporter   bugnote:0010715

YESS! PLUGIN "FTP" WORKS NOW!! THANX!!! :)

One more question:
Is it possible to show/process file versions too?
Each file in VMS system can have different versions.
The version is written after filenames:
myfile.com;1
myfile.com;42
Is it possible to show the fileversions in FAR, to be able to download the right version? As I understand, FTP server gives well the file versions, but they are hidden by FTP plugin.
That is, it is not needed to delete ";n" after filenames. In filelist, when downloading files, never!
All FTP clients (Filezilla, etc) can process well file versions. When we download a file from OpenVMS we get a 'filename;n' on local PC.

2useven10

2013-04-10 19:13

developer   bugnote:0010716

Sure. It is possible.

2useven10

2013-04-11 14:09

developer  

ftp-32.7z (167,546 bytes)

2useven10

2013-04-11 14:09

developer  

ftp-64.7z (167,543 bytes)

2useven10

2013-04-11 14:12

developer   bugnote:0010730

updated. keep file;version (only file, not directory)

2useven10

2013-04-11 14:33

developer   bugnote:0010731

Last edited: 2013-04-11 14:39

View 2 revisions

I have a look at netbox code...
1) It includes filezilla code that almost ready to work with VMS.
2) It contains a lot of code over filezilla that hardly depends on
/slash/required/server/filenames, so it is not so easy.
I can advise alternative method to learn netbox handles VMS:
VMS server switched to unix-like listing and filename mode after receiving unix-like name in command...
So after receiving VMS current directory first time: 'DISK$FTP:[FTP]' (example)
execute command: 'PWD /disk$ftp/ftp' and then work with VMS server in unix-like mode.
PS: I am not sure that all VMS server will work as expected...

alexy

2013-04-11 15:00

administrator   bugnote:0010733

Have you talked to michael.lukashov about this?

alexy

2013-04-11 15:01

administrator   bugnote:0010734

In any case I think we need to upload MultiArc and FarFtp to the plugring, so they will be available there if needed.

2useven10

2013-04-22 13:17

developer   bugnote:0010878

FarFtp works with VMS.
Netbox author infromed.

2useven10

2013-04-23 22:49

developer   bugnote:0010883

275

Issue History

Date Modified Username Field Change
2013-03-05 20:02 VladV New Issue
2013-03-06 00:27 VladV Note Added: 0010460
2013-03-06 10:08 2useven10 Note Added: 0010462
2013-03-07 00:28 VladV Note Added: 0010479
2013-03-16 11:43 michael.lukashov Note Added: 0010525
2013-03-16 11:44 michael.lukashov Note Edited: 0010525 View Revisions
2013-03-16 12:47 2useven10 Note Added: 0010526
2013-03-16 12:50 2useven10 Note Edited: 0010526 View Revisions
2013-03-16 13:02 michael.lukashov Note Added: 0010527
2013-03-16 13:04 michael.lukashov Note Edited: 0010527 View Revisions
2013-03-16 13:50 VladV Note Added: 0010528
2013-03-16 21:24 michael.lukashov Note Added: 0010529
2013-03-16 22:47 VladV Note Added: 0010530
2013-03-16 22:52 michael.lukashov Note Added: 0010531
2013-03-16 23:18 VladV Note Added: 0010532
2013-03-17 01:14 VladV Note Added: 0010533
2013-03-17 16:15 VladV Note Added: 0010534
2013-03-17 16:15 VladV Note Edited: 0010533 View Revisions
2013-03-24 22:34 VladV Note Added: 0010609
2013-03-24 23:00 VladV Note Added: 0010610
2013-04-08 21:22 2useven10 File Added: ftp-32.7z
2013-04-08 21:23 2useven10 Note Added: 0010687
2013-04-09 13:59 2useven10 File Deleted: ftp-32.7z
2013-04-09 13:59 2useven10 File Added: ftp-32.7z
2013-04-09 14:00 2useven10 Note Added: 0010696
2013-04-09 20:49 VladV Note Added: 0010705
2013-04-09 20:55 2useven10 Note Added: 0010706
2013-04-10 19:05 VladV Note Added: 0010715
2013-04-10 19:13 2useven10 Note Added: 0010716
2013-04-11 14:09 2useven10 File Deleted: ftp-32.7z
2013-04-11 14:09 2useven10 File Added: ftp-32.7z
2013-04-11 14:09 2useven10 File Added: ftp-64.7z
2013-04-11 14:12 2useven10 Note Added: 0010730
2013-04-11 14:33 2useven10 Note Added: 0010731
2013-04-11 14:39 2useven10 Note Edited: 0010731 View Revisions
2013-04-11 15:00 alexy Note Added: 0010733
2013-04-11 15:01 alexy Note Added: 0010734
2013-04-22 13:17 2useven10 Note Added: 0010878
2013-04-22 13:17 2useven10 Assigned To => 2useven10
2013-04-22 13:17 2useven10 Status new => feedback
2013-04-23 22:49 2useven10 Note Added: 0010883
2013-04-23 22:49 2useven10 Status feedback => closed
2013-04-23 22:49 2useven10 Resolution open => fixed
2013-04-23 22:49 2useven10 Fixed in Version => 3.0
2013-05-21 00:30 alexy Category FTP => FTP (old)